Skip to content

Get implementation finding snippet

Request

Returns the code snippet and finding details for a specific implementation finding

Security
bearer-key
Path
projectUuidstringrequired

UUID of the project

snippetUuidstringrequired

Snippet UUID

Query
cursorstring

Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

limitinteger

Specifies the maximum number of items to be returned in the response.

GET
/api/v3.0/projects/{projectUuid}/ai/findings/implementation/snippet/{snippetUuid}
curl -i -X GET \
  'https://baseUrl/api/v3.0/projects/{projectUuid}/ai/findings/implementation/snippet/{snippetUuid}?cursor=string&limit=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
responseArray of objects(v3.V3ImplementationFindingResponse)
supportTokenstring
additionalDataobject(v3.DTO_AdditionalData)
Response
{ "response": [ {} ], "supportToken": "string", "additionalData": { "paging": {}, "totalItems": 0 } }